import { EventEmitter, OnInit } from "@angular/core";
import { StiColumnItem } from "../../elements/table/StiColumnItem";
import * as i0 from "@angular/core";
export declare class StiCellsPreviewComponent implements OnInit {
    state: boolean;
    object: StiColumnItem;
    cellClick: EventEmitter<any>;
    startCellDrag: EventEmitter<any>;
    constructor();
    get cells(): any[];
    addCell(index: any): void;
    startDragEvent(event: any, index: any): void;
    getValue(index: any): any;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiCellsPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiCellsPreviewComponent, "sti-cells-preview", never, { "state": { "alias": "state"; "required": false; }; "object": { "alias": "object"; "required": false; }; }, { "cellClick": "cellClick"; "startCellDrag": "startCellDrag"; }, never, never, false, never>;
}
